/// class ProspectDirector.Modules.Processes.ProcessNodes.FeatureGeneral
/// using ProspectDirector.Types.Core.Feature

ProspectDirector.Modules.Processes.ProcessNodes.FeatureGeneral = ProspectDirector.Types.Core.Feature.extend({

    init: function (options) {

        this._super(options);

        this.init_iconBrowser();

    },

    //---------------------------
    //--- PROPERTIES
    //---------------------------

    get_iconBrowser: function () {
        return this.get_container().find("[data-id=icon]");
    },

    //---------------------------
    //--- INITIALIZERS
    //---------------------------

    init_iconBrowser: function () {

        this.get_iconBrowser().iconBrowserBox();

    }

});